
package com.limegroup.gnutella.bootstrap;

import java.text.ParseException;

/**
 * The list of default GWebCache urls, used the first time LimeWire starts, or
 * if the gnutella.net file is accidentally deleted.  Entries in the list will
 * eventually be replaced by URLs discovered during urlfile=1 requests.  Order
 * does not matter.
 *
 * THIS FILE IS AUTOMATICALLY GENERATED FROM MAKE_DEFAULT.PY.
 */
public class DefaultBootstrapServers {
    /**
     * Adds all the default servers to bman. 
     */
    public static void addDefaults(BootstrapServerManager bman) {
        for (int i=0; i<urls.length; i++) {
            try {
                BootstrapServer server=new BootstrapServer(urls[i]);
                bman.addBootstrapServer(server);
            } catch (ParseException ignore) {
            }                
        }
    }

    //These should NOT be URL encoded.
    static String[] urls=new String[] {
/* heavy
        "http://amccool.dyndns.org/gwebcache/gwebcache-0.7.5/gcache.php",
        "http://bicou.hd.free.fr/g2/gwcii.php",
        "http://cache.kicks-ass.net:8000/",
        "http://cache.mynapster.com/index.php",
        "http://dlaikar.de/gcache-mac/gcache.php",
        "http://dlaikar.de/gcache/gcache.php",
        "http://dlaikar.de/gcache2/gcache.php",
        "http://g2.cameltoetgp.net/gcache/perlgcache.cgi",
        "http://g2cache.theg2.net/gwcache/lynnx.asp",
        "http://galvatron.dyndns.org:59009/gwcache",
        "http://gcache.cloppy.net/",
        "http://gcache.mikama.eu.org/",
        "http://gcache.shacknet.nu:8088/gwc",
        "http://goeg.dk/Gnutella/gcache.php",
        "http://grupaprojektor.host.sk/gcache.php",
        "http://gwc1.mager.org:8081/GWebCache/req",
        "http://gwebcache.bearshare.net/gcache.php",
        "http://gwebcache1.limewire.com/gwebcache/cgi-bin/perlgcache.cgi",
        "http://gwebcache3.jonatkins.org.uk/perlgcache.cgi",
        "http://gzip.bounceme.net/gwcii.php",
        "http://heypete.safepages.com/gc/gc.php",
        "http://ipoh1.org/gwebcache",
        "http://ipoh1.org/gwebcache/gwcii.php",
        "http://mac.gc.dlaikar.de/",
        "http://mikama.host.sk/gcache.php",
        "http://move.along.move.along.there.is.nothing.to.see.here.at.bishopston.net:3558/",
        "http://static.zabox.com/gwc/gwcii.php",
        "http://sunflame.homelinux.net/cgi-bin/cache/perlgcache.cgi",
        "http://uui.upce.cz/perlgcache.cgi",
        "http://www.gbwebpro.com/guo/lynn/cache/lynn.asp",
        "http://www.goeg.dk/Gnutella/gcache.php",
        "http://www.gwc.freeola.com/cgi-bin/gwc/gcache.cgi",
        "http://www.gwc2.ip3.com/cgi-bin/gwc2/gcache.cgi",
        "http://www.rodage.net/gnetcache/gcache.php",
        "http://www.struggle.ca/gcache/gcache.php",
        "http://www.theholt.net/cache.php",
        "http://www.theholt.net/gcache.php",
        "http://www.xolox.nl/gwebcache/",
        "http://www.xolox.nl/gwebcache/default.asp"
*/
        "http://cache.kicks-ass.net:8000/",
        "http://dhcp-0-c-41-d1-94-ce.cpe.quickclic.net:8088/",
        "http://galvatron.dyndns.org:59009/gwcache",
        "http://gcache.cloppy.net/",
        "http://gcache.ziffer.org/gcache.cgi",
        "http://gwc.mine.nu:3333/",
        "http://gwc.nonexiste.net/",
        "http://gwc2.mine.nu:3333/",
        "http://gwcrab.sarcastro.com:8001/",
        "http://krill.shacknet.nu:20095/gwc",
        "http://loot.alumnigroup.org/",
        "http://toadface.bishopston.net:3558/"
    };
}
